Skip to content

WriteMessageWebhookWait

Signature

export type WriteMessageWebhookWait = MessageWebhookMethodWriteWaitParams['body'] & Pick<MessageWebhookMethodWriteWaitParams, 'query'>;

Properties

tts?: boolean | undefined;

`true` if this is a TTS message

username?: string | undefined;

Override the default username of the webhook

allowed_mentions?: APIAllowedMentions | undefined;

Allowed mentions for the message See https://docs.discord.com/developers/resources/channel#allowed-mentions-object

avatar_url?: string | undefined;

Override the default avatar of the webhook

thread_name?: string | undefined;

Name of thread to create Available only if the webhook is in a forum channel and a thread is not specified in {@link RESTPostAPIWebhookWithTokenQuery.thread_id} query parameter

content?: string | undefined | null;